Show / Hide Table of Contents

# Class Condition

Provides access to conditions (generally player state). You can check whether a player is in combat, mounted, etc.

##### Inheritance

System.Object
Condition

##### Implements

IServiceType
System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Conditions

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class Condition : IServiceType, IDisposable

### Fields

| Improve this Doc View Source

#### MaxConditionEntries

The current max number of conditions. You can get this just by looking at the condition sheet and how many rows it has.

##### Declaration

    public const int MaxConditionEntries = 100

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Properties

| Improve this Doc View Source

#### Address

Gets the condition array base pointer.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Item[ConditionFlag]

Check the value of a specific condition/state flag.

##### Declaration

    public bool this[ConditionFlag flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
ConditionFlag | flag |

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Item[Int32]

Check the value of a specific condition/state flag.

##### Declaration

    public bool this[int flag] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | flag | The condition flag to check.

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### Any()

Check if any condition flags are set.

##### Declaration

    public bool Any()

##### Returns

Type | Description
--- | ---
System.Boolean | Whether any single flag is set.

| Improve this Doc View Source

#### Finalize()

Finalizes an instance of the Condition class.

##### Declaration

    protected void Finalize()

### Events

| Improve this Doc View Source

#### ConditionChange

Event that gets fired when a condition is set. Should only get fired for actual changes, so the previous value will always be !value.

##### Declaration

    public event Condition.ConditionChangeDelegate ConditionChange

##### Event Type

Type | Description
--- | ---
Condition.ConditionChangeDelegate |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IDisposable.Dispose()

Disposes this instance, alongside its hooks.

##### Declaration

    void IDisposable.Dispose()

### Implements

IServiceType
System.IDisposable